Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOActionAssociation
EOActionCellAssociation
EOActionInsertionAssociation
EOAspectConnector
EOAssociation
EOColumnAssociation
EOComboBoxAssociation
EOControlAssociation
EODetailSelectionAssociation
EODisplayGroup
EOGenericControlAssociation
EOMasterCopyAssociation
EOMasterDetailAssociation
EOMasterPeerAssociation
EOMatrixAssociation
EOPickTextAssociation
EOPopUpAssociation
EORadioMatrixAssociation
EORecursiveBrowserAssociation
EOTableViewAssociation
EOTextAssociation

### Protocols

### Constants

### Functions

### Macros

### Types

### Variables

Up

# EODisplayGroup class documentation

### Authors

David Ayers (`ayers@fsfe.org`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2004,2005 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the EODisplayGroup class
2. Software documentation for the EODisplayGroup(EOAssociationInteraction) category
3. Software documentation for the EODisplayGroup(EODisplayGroupTargetAction) category
4. Software documentation for the EODisplayGroup(EOEditors) category
5. Software documentation for the EODisplayGroup(EOMessageHandlers) category
6. Software documentation for the NSObject(EODisplayGroupDelegate) informal protocol

# Software documentation for the EODisplayGroup class

## EODisplayGroup : NSObject

> Declared in:
>   EOInterface/EODisplayGroup.h

> Conforms to:
>   NSCoding

The EODisplayGoup keeps track of all enterprise objects from a particular EODataSource to coordinate their internal state with other objects such as UI elements and other EODisplayGroups. Commonly the data source is a EODatabaseDataSource (EOAccess) which manages the objects of a single entity for a specific editing context. The display group is connected to the UI elements or other display groups via EOAssociations. This framework is responsible to update the enterprise objects when the contents and state of the UI elements are changed and to update the UI elements when the state of the enterprise objects are changed.

### Method summary

- -association:failedToValidateValue:forKey:object:errorDescription:
- -associationDidBeginEditing:
- -associationDidEndEditing:
- -contentsChanged
- -enabledToSetSelectedObjectValueForKey:
- -selectedObjectValueForKey:
- -selectionChanged
- -setSelectedObjectValue:forKey:
- -setValue:forObject:key:
- -setValue:forObjectAtIndex:key:
- -updatedObjectIndex
- -valueForObject:key:
- -valueForObjectAtIndex:key:
- -delete:
- -enterQueryMode:
- -fetch:
- -insert:
- -qualifyDataSource:
- -qualifyDisplayGroup:
- -selectNext:
- -selectPrevious:
- -editingContextWillSaveChanges:
- -editorHasChangesForEditingContext:
- -editingContext:presentErrorMessage:
- +globalDefaultForValidatesChangesImmediately
- +globalDefaultStringMatchOperator
- +setGlobalDefaultForValidatesChangesImmediately:
- +setGlobalDefaultStringMatchOperator:
- -allObjects
- -clearSelection
- -dataSource
- -defaultStringMatchFormat
- -defaultStringMatchOperator
- -delegate
- -deleteObjectAtIndex:
- -deleteSelection
- -displayedObjects
- -editingAssociation
- -endEditing
- -equalToQueryValues
- -fetch
- -fetchesOnLoad
- -greaterThanQueryValues
- -inQueryMode
- -insertObject:atIndex:
- -insertObjectAtIndex:
- -insertedObjectDefaultValues
- -lessThanQueryValues
- -localKeys
- -observingAssociations
- -qualifier
- -qualifierFromQueryValues
- -qualifyDataSource
- -qualifyDisplayGroup
- -queryBindingValues
- -queryOperatorValues
- -redisplay
- -selectNext
- -selectObject:
- -selectObjectsIdenticalTo:
- -selectObjectsIdenticalTo:selectFirstOnNoMatch:
- -selectPrevious
- -selectedObject
- -selectedObjects
- -selectionIndexes
- -selectsFirstObjectAfterFetch
- -setDataSource:
- -setDefaultStringMatchFormat:
- -setDefaultStringMatchOperator:
- -setDelegate:
- -setEqualToQueryValues:
- -setFetchesOnLoad:
- -setGreaterThanQueryValues:
- -setInQueryMode:
- -setInsertedObjectDefaultValues:
- -setLessThanQueryValues:
- -setLocalKeys:
- -setObjectArray:
- -setQualifier:
- -setQueryBindingValues:
- -setQueryOperatorValues:
- -setSelectedObject:
- -setSelectedObjects:
- -setSelectionIndexes:
- -setSelectsFirstObjectAfterFetch:
- -setSortOrderings:
- -setUsesOptimisticRefresh:
- -setValidatesChangesImmediately:
- -sortOrderings
- -updateDisplayedObjects
- -usesOptimisticRefresh
- -validatesChangesImmediately

### globalDefaultForValidatesChangesImmediately

+ (BOOL) globalDefaultForValidatesChangesImmediately;
Description forthcoming.

### globalDefaultStringMatchOperator

+ (NSString*) globalDefaultStringMatchOperator;
Description forthcoming.

### setGlobalDefaultForValidatesChangesImmediately:

+ (void) setGlobalDefaultForValidatesChangesImmediately: (BOOL)flag;
Description forthcoming.

### setGlobalDefaultStringMatchOperator:

+ (void) setGlobalDefaultStringMatchOperator: (NSString*)operator;
Description forthcoming.

### allObjects

- (NSArray*) allObjects;
Description forthcoming.

### clearSelection

- (BOOL) clearSelection;
Description forthcoming.

### dataSource

- (EODataSource*) dataSource;
Description forthcoming.

### defaultStringMatchFormat

- (NSString*) defaultStringMatchFormat;
Description forthcoming.

### defaultStringMatchOperator

- (NSString*) defaultStringMatchOperator;
Description forthcoming.

### delegate

- (id) delegate;
Description forthcoming.

### deleteObjectAtIndex:

- (BOOL) deleteObjectAtIndex: (unsigned)index;
Description forthcoming.

### deleteSelection

- (BOOL) deleteSelection;
Description forthcoming.

### displayedObjects

- (NSArray*) displayedObjects;
Description forthcoming.

### editingAssociation

- (EOAssociation*) editingAssociation;
Description forthcoming.

### endEditing

- (BOOL) endEditing;
Description forthcoming.

### equalToQueryValues

- (NSDictionary*) equalToQueryValues;
Description forthcoming.

### fetch

- (BOOL) fetch;
Description forthcoming.

### fetchesOnLoad

- (BOOL) fetchesOnLoad;
Description forthcoming.

### greaterThanQueryValues

- (NSDictionary*) greaterThanQueryValues;
Description forthcoming.

### inQueryMode

- (BOOL) inQueryMode;
Description forthcoming.

### insertObject: atIndex:

- (void) insertObject: (id)object atIndex: (unsigned)index;
Description forthcoming.

### insertObjectAtIndex:

- (id) insertObjectAtIndex: (unsigned)index;
Description forthcoming.

### insertedObjectDefaultValues

- (NSDictionary*) insertedObjectDefaultValues;
Description forthcoming.

### lessThanQueryValues

- (NSDictionary*) lessThanQueryValues;
Description forthcoming.

### localKeys

- (NSArray*) localKeys;
Description forthcoming.

### observingAssociations

- (NSArray*) observingAssociations;
Description forthcoming.

### qualifier

- (EOQualifier*) qualifier;
Description forthcoming.

### qualifierFromQueryValues

- (EOQualifier*) qualifierFromQueryValues;
Description forthcoming.

### qualifyDataSource

- (void) qualifyDataSource;
Description forthcoming.

### qualifyDisplayGroup

- (void) qualifyDisplayGroup;
Description forthcoming.

### queryBindingValues

- (NSDictionary*) queryBindingValues;
Description forthcoming.

### queryOperatorValues

- (NSDictionary*) queryOperatorValues;
Description forthcoming.

### redisplay

- (void) redisplay;
Description forthcoming.

### selectNext

- (BOOL) selectNext;
Description forthcoming.

### selectObject:

- (BOOL) selectObject: (id)object;
Description forthcoming.

### selectObjectsIdenticalTo:

- (BOOL) selectObjectsIdenticalTo: (NSArray*)selection;
Description forthcoming.

### selectObjectsIdenticalTo: selectFirstOnNoMatch:

- (BOOL) selectObjectsIdenticalTo: (NSArray*)selection selectFirstOnNoMatch: (BOOL)flag;
Description forthcoming.

### selectPrevious

- (BOOL) selectPrevious;
Description forthcoming.

### selectedObject

- (id) selectedObject;
Description forthcoming.

### selectedObjects

- (NSArray*) selectedObjects;
Description forthcoming.

### selectionIndexes

- (NSArray*) selectionIndexes;
Description forthcoming.

### selectsFirstObjectAfterFetch

- (BOOL) selectsFirstObjectAfterFetch;
Description forthcoming.

### setDataSource:

- (void) setDataSource: (EODataSource*)dataSource;
Description forthcoming.

### setDefaultStringMatchFormat:

- (void) setDefaultStringMatchFormat: (NSString*)format;
Description forthcoming.

### setDefaultStringMatchOperator:

- (void) setDefaultStringMatchOperator: (NSString*)operator;
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)delegate;
Description forthcoming.

### setEqualToQueryValues:

- (void) setEqualToQueryValues: (NSDictionary*)values;
Description forthcoming.

### setFetchesOnLoad:

- (void) setFetchesOnLoad: (BOOL)flag;
Description forthcoming.

### setGreaterThanQueryValues:

- (void) setGreaterThanQueryValues: (NSDictionary*)values;
Description forthcoming.

### setInQueryMode:

- (void) setInQueryMode: (BOOL)flag;
Description forthcoming.

### setInsertedObjectDefaultValues:

- (void) setInsertedObjectDefaultValues: (NSDictionary*)values;
Description forthcoming.

### setLessThanQueryValues:

- (void) setLessThanQueryValues: (NSDictionary*)values;
Description forthcoming.

### setLocalKeys:

- (void) setLocalKeys: (NSArray*)keys;
Description forthcoming.

### setObjectArray:

- (void) setObjectArray: (NSArray*)objects;
Description forthcoming.

### setQualifier:

- (void) setQualifier: (EOQualifier*)qualifier;
Description forthcoming.

### setQueryBindingValues:

- (void) setQueryBindingValues: (NSDictionary*)values;
Description forthcoming.

### setQueryOperatorValues:

- (void) setQueryOperatorValues: (NSDictionary*)values;
Description forthcoming.

### setSelectedObject:

- (void) setSelectedObject: (id)object;
Description forthcoming.

### setSelectedObjects:

- (void) setSelectedObjects: (NSArray*)objects;
Description forthcoming.

### setSelectionIndexes:

- (BOOL) setSelectionIndexes: (NSArray*)selection;
Description forthcoming.

### setSelectsFirstObjectAfterFetch:

- (void) setSelectsFirstObjectAfterFetch: (BOOL)flag;
Description forthcoming.

### setSortOrderings:

- (void) setSortOrderings: (NSArray*)orderings;
Description forthcoming.

### setUsesOptimisticRefresh:

- (void) setUsesOptimisticRefresh: (BOOL)flag;
Description forthcoming.

### setValidatesChangesImmediately:

- (void) setValidatesChangesImmediately: (BOOL)flag;
Description forthcoming.

### sortOrderings

- (NSArray*) sortOrderings;
Description forthcoming.

### updateDisplayedObjects

- (void) updateDisplayedObjects;
Description forthcoming.

### usesOptimisticRefresh

- (BOOL) usesOptimisticRefresh;
Description forthcoming.

### validatesChangesImmediately

- (BOOL) validatesChangesImmediately;
Description forthcoming.

# Software documentation for the EODisplayGroup(EOAssociationInteraction) category

## EODisplayGroup(EOAssociationInteraction)

> Declared in:
>   EOInterface/EODisplayGroup.h

Description forthcoming.

### Method summary

- -association:failedToValidateValue:forKey:object:errorDescription:
- -associationDidBeginEditing:
- -associationDidEndEditing:
- -contentsChanged
- -enabledToSetSelectedObjectValueForKey:
- -selectedObjectValueForKey:
- -selectionChanged
- -setSelectedObjectValue:forKey:
- -setValue:forObject:key:
- -setValue:forObjectAtIndex:key:
- -updatedObjectIndex
- -valueForObject:key:
- -valueForObjectAtIndex:key:

### association: failedToValidateValue: forKey: object: errorDescription:

- (BOOL) association: (EOAssociation*)association failedToValidateValue: (NSString*)value forKey: (NSString*)key object: (id)object errorDescription: (NSString*)description;
Description forthcoming.

### associationDidBeginEditing:

- (void) associationDidBeginEditing: (EOAssociation*)association;
Description forthcoming.

### associationDidEndEditing:

- (void) associationDidEndEditing: (EOAssociation*)association;
Description forthcoming.

### contentsChanged

- (BOOL) contentsChanged;
Description forthcoming.

### enabledToSetSelectedObjectValueForKey:

- (BOOL) enabledToSetSelectedObjectValueForKey: (NSString*)key;
Description forthcoming.

### selectedObjectValueForKey:

- (id) selectedObjectValueForKey: (NSString*)key;
Description forthcoming.

### selectionChanged

- (BOOL) selectionChanged;
Description forthcoming.

### setSelectedObjectValue: forKey:

- (BOOL) setSelectedObjectValue: (id)value forKey: (NSString*)key;
Description forthcoming.

### setValue: forObject: key:

- (BOOL) setValue: (id)value forObject: (id)object key: (NSString*)key;
Description forthcoming.

### setValue: forObjectAtIndex: key:

- (BOOL) setValue: (id)value forObjectAtIndex: (unsigned)index key: (NSString*)key;
Description forthcoming.

### updatedObjectIndex

- (int) updatedObjectIndex;
Description forthcoming.

### valueForObject: key:

- (id) valueForObject: (id)object key: (NSString*)key;
Description forthcoming.

### valueForObjectAtIndex: key:

- (id) valueForObjectAtIndex: (unsigned)index key: (NSString*)key;
Description forthcoming.

# Software documentation for the EODisplayGroup(EODisplayGroupTargetAction) category

## EODisplayGroup(EODisplayGroupTargetAction)

> Declared in:
>   EOInterface/EODisplayGroup.h

Description forthcoming.

### Method summary

- -delete:
- -enterQueryMode:
- -fetch:
- -insert:
- -qualifyDataSource:
- -qualifyDisplayGroup:
- -selectNext:
- -selectPrevious:

### delete:

- (void) delete: (id)sender;
Description forthcoming.

### enterQueryMode:

- (void) enterQueryMode: (id)sender;
Description forthcoming.

### fetch:

- (void) fetch: (id)sender;
Description forthcoming.

### insert:

- (void) insert: (id)sender;
Description forthcoming.

### qualifyDataSource:

- (void) qualifyDataSource: (id)sender;
Description forthcoming.

### qualifyDisplayGroup:

- (void) qualifyDisplayGroup: (id)sender;
Description forthcoming.

### selectNext:

- (void) selectNext: (id)sender;
Description forthcoming.

### selectPrevious:

- (void) selectPrevious: (id)sender;
Description forthcoming.

# Software documentation for the EODisplayGroup(EOEditors) category

## EODisplayGroup(EOEditors)

> Declared in:
>   EOInterface/EODisplayGroup.h

Description forthcoming.

### Method summary

- -editingContextWillSaveChanges:
- -editorHasChangesForEditingContext:

### editingContextWillSaveChanges:

- (void) editingContextWillSaveChanges: (EOEditingContext*)editingContext;
Description forthcoming.

### editorHasChangesForEditingContext:

- (BOOL) editorHasChangesForEditingContext: (EOEditingContext*)editingContext;
Description forthcoming.

# Software documentation for the EODisplayGroup(EOMessageHandlers) category

## EODisplayGroup(EOMessageHandlers)

> Declared in:
>   EOInterface/EODisplayGroup.h

Description forthcoming.

### Method summary

- -editingContext:presentErrorMessage:

### editingContext: presentErrorMessage:

- (void) editingContext: (EOEditingContext*)editingContext presentErrorMessage: (NSString*)message;
Description forthcoming.

# Software documentation for the NSObject(EODisplayGroupDelegate) informal protocol

## NSObject(EODisplayGroupDelegate)

> Declared in:
>   EOInterface/EODisplayGroup.h

Description forthcoming.

### Method summary

- -displayGroup:createObjectFailedForDataSource:
- -displayGroup:didDeleteObject:
- -displayGroup:didFetchObjects:
- -displayGroup:didInsertObject:
- -displayGroup:didSetValue:forObject:key:
- -displayGroup:displayArrayForObjects:
- -displayGroup:shouldChangeSelectionToIndexes:
- -displayGroup:shouldDeleteObject:
- -displayGroup:shouldDisplayAlertWithTitle:message:
- -displayGroup:shouldInsertObject:atIndex:
- -displayGroup:shouldRedisplayForEditingContextChangeNotification:
- -displayGroup:shouldRefetchForInvalidatedAllObjectsNotification:
- -displayGroupDidChangeDataSource:
- -displayGroupDidChangeSelectedObjects:
- -displayGroupDidChangeSelection:
- -displayGroupShouldFetch:

### displayGroup: createObjectFailedForDataSource:

- (void) displayGroup: (EODisplayGroup*)displayGroup createObjectFailedForDataSource: (EODataSource*)dataSource;
Description forthcoming.

### displayGroup: didDeleteObject:

- (void) displayGroup: (EODisplayGroup*)displayGroup didDeleteObject: (id)object;
Description forthcoming.

### displayGroup: didFetchObjects:

- (void) displayGroup: (EODisplayGroup*)displayGroup didFetchObjects: (NSArray*)objects;
Description forthcoming.

### displayGroup: didInsertObject:

- (void) displayGroup: (EODisplayGroup*)displayGroup didInsertObject: (id)object;
Description forthcoming.

### displayGroup: didSetValue: forObject: key:

- (void) displayGroup: (EODisplayGroup*)displayGroup didSetValue: (id)value forObject: (id)object key: (NSString*)key;
Description forthcoming.

### displayGroup: displayArrayForObjects:

- (NSArray*) displayGroup: (EODisplayGroup*)displayGroup displayArrayForObjects: (NSArray*)objects;
Description forthcoming.

### displayGroup: shouldChangeSelectionToIndexes:

- (BOOL) displayGroup: (EODisplayGroup*)displayGroup shouldChangeSelectionToIndexes: (NSArray*)indices;
Description forthcoming.

### displayGroup: shouldDeleteObject:

- (BOOL) displayGroup: (EODisplayGroup*)displayGroup shouldDeleteObject: (id)object;
Description forthcoming.

### displayGroup: shouldDisplayAlertWithTitle: message:

- (BOOL) displayGroup: (EODisplayGroup*)displayGroup shouldDisplayAlertWithTitle: (NSString*)title message: (NSString*)message;
Description forthcoming.

### displayGroup: shouldInsertObject: atIndex:

- (BOOL) displayGroup: (EODisplayGroup*)displayGroup shouldInsertObject: (id)object atIndex: (unsigned)index;
Description forthcoming.

### displayGroup: shouldRedisplayForEditingContextChangeNotification:

- (BOOL) displayGroup: (EODisplayGroup*)displayGroup shouldRedisplayForEditingContextChangeNotification: (NSNotification*)notif;
Description forthcoming.

### displayGroup: shouldRefetchForInvalidatedAllObjectsNotification:

- (BOOL) displayGroup: (EODisplayGroup*)displayGroup shouldRefetchForInvalidatedAllObjectsNotification: (NSNotification*)notif;
Description forthcoming.

### displayGroupDidChangeDataSource:

- (void) displayGroupDidChangeDataSource: (EODisplayGroup*)displayGroup;
Description forthcoming.

### displayGroupDidChangeSelectedObjects:

- (void) displayGroupDidChangeSelectedObjects: (EODisplayGroup*)displayGroup;
Description forthcoming.

### displayGroupDidChangeSelection:

- (void) displayGroupDidChangeSelection: (EODisplayGroup*)displayGroup;
Description forthcoming.

### displayGroupShouldFetch:

- (BOOL) displayGroupShouldFetch: (EODisplayGroup*)displayGroup;
Description forthcoming.

Up